Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.lens
Class PlainView

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.lens.Lens
                  multivalent.std.lens.PlainView

All Implemented Interfaces:
  ContextListener

public class PlainView
extends Lens

Try to make things as readable as possible: undo affine transformations, no signals, black text on white background, non-bold non-italic 12-point Times Roman font, no blink, .... Can't undo arbitrary drawing by other behaviors.

LATER: make a filter, affecting entire document.

Version:
  $Revision$ $Date$

Field Summary

Fields inherited from class multivalent.std.lens.Lens
`ATTR_HEIGHT, ATTR_TITLE, ATTR_WIDTH, ATTR_X, ATTR_Y, VAR_SHARED_LAYER, win_`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Fields inherited from interface multivalent.ContextListener
`LITTLE, LOT, PRIORITY_LENS, PRIORITY_MAX, PRIORITY_MIN, PRIORITY_SELECTION, PRIORITY_SPAN, PRIORITY_STRUCT, SOME`

Constructor Summary
`PlainView()`

Method Summary
`boolean` | `appearance(Context cx, boolean all)` Black text on white background, plain Times Roman font, no signals...: everything that affects painting only, not formatting.
`boolean` | `paintBefore(Context cx, Node node)` Identity affine transformation.

Methods inherited from class multivalent.std.lens.Lens
`close, destroy, getContentBounds, getLensMan, getPriority, paintAfter, restore, save, semanticEventAfter, show`

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, putPreference, redo, restoreChildren, semanticEventBefore, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlainView

    public PlainView()

Method Detail

### paintBefore

    public boolean paintBefore(Context cx,
                               Node node)

  Identity affine transformation.

  Overrides:
    `paintBefore` in class `Lens`
  Returns:
    `true` to short-circuit to paintAfter at that node, bypassing painting of the subtree.
  See Also:
    `Magnify`

### appearance

    public boolean appearance(Context cx,
                              boolean all)

  Black text on white background, plain Times Roman font, no signals...: everything that affects painting only, not formatting.

  Specified by:
    `appearance` in interface `ContextListener`
  Overrides:
    `appearance` in class `Lens`
    `all` - all attributes or exclude those that are not inherited
  Returns:
    false so it composes with other lenses
  See Also:
    `ContextListener`, `SignalLens`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD